Bug 289544 - Changing Horizontal Alignment in image box has no effect unless user resizes it or reopens the form
Summary: Changing Horizontal Alignment in image box has no effect unless user resizes ...
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: Forms (show other bugs)
Version: 2.4 beta5 (Calligra 2.4 beta5)
Platform: Compiled Sources All
: NOR normal (vote)
Target Milestone: ---
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-21 23:25 UTC by Jarosław Staniek
Modified: 2012-01-31 22:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.4 RC1 (Calligra 2.4 RC1)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarosław Staniek 2011-12-21 23:25:21 UTC
Version:           2.4 beta5 (Calligra 2.4 beta5) (using Devel) 
OS:                All

Changing Horizontal Alignment in image box has no effect unless user resizes it or reopens the form.

Reproducible: Always

Steps to Reproduce:
Change the hor. alignment for image box.

Actual Results:  
No visual change

Expected Results:  
Visual change
Comment 1 Jarosław Staniek 2011-12-29 00:40:27 UTC
Git commit 03acacf660377d9fb7266215eb9b2fad14c50ce2 by Jaroslaw Staniek.
Committed on 28/12/2011 at 10:36.
Pushed by staniek into branch 'master'.

Fixed two bugs related to image box form widget appearance

Forms

*Fixed bug: Image box does not store image pasted to it in design time
Related: bug 289545

*Fixed bug: Changing Horizontal Alignment in image box has no effect
 unless user resizes it or reopens the form

M  +21   -3    kexi/core/kexiblobbuffer.cpp
M  +8    -5    kexi/plugins/forms/widgets/kexidbimagebox.cpp

http://commits.kde.org/calligra/03acacf660377d9fb7266215eb9b2fad14c50ce2